curl --request GET \
--url https://api.polyorderbooks.com/v1/markets \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.polyorderbooks.com/v1/markets"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.polyorderbooks.com/v1/markets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"end_date": "2025-11-05T23:59:59Z",
"id": "618831",
"question": "Will Candidate X win the 2025 election?",
"slug": "will-candidate-x-win-2025",
"start_date": "2025-09-01T00:00:00Z",
"status": "open",
"tokens": [
{
"id": "12345",
"label": "Yes"
},
{
"id": "12346",
"label": "No"
}
]
}
],
"metadata": {
"count": 1,
"limit": 100
}
}Polymarket Markets API — List Markets
List bettable contracts/markets (e.g., “Winner”, “Total Points Over/Under”).
Supports filtering by date ranges, text search, tags, and pagination.
Results are sorted by the selected field (default: updated_at desc).
Pagination: Use the next_cursor value from the response to fetch the next page. Covers Polymarket crypto markets from the PolyOrderbooks historical archive.
Authorizations
Query Parameters
Optional case-insensitive text match for market question or slug.
200"trump"
Maximum number of items returned in this page.
1 <= x <= 1000100
Opaque cursor from a previous metadata.next_cursor value.
Optional filter to only markets belonging to this event (by internal event id).
"e_abc123"
Optional filter to only markets belonging to this event (by event slug).
"bitcoin-hits-a-million"
When true, include closed markets. Defaults to open (active) markets only.
Field used to sort the response rows.
updated_at, start_date, end_date Sort direction.
asc, desc